<div class = "form">
    <div class="icon">
        <img src="assets/tutored_icon.png" alt = "Tutored icon" class = "tutored_icon">
        <span class = "Tutored">TutorED</span>
    </div>
    <br>
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <input type="email" name="email" id="email-login-input" class="input-text" placeholder="Unesite Vaš email" formControlName="email"  [ngClass]="{ 'is-invalid': submitted && getCtrls.email.errors }" />
        <div *ngIf="submitted && getCtrls.email.errors" class="invalid-feedback">
            <div class="error" *ngIf="getCtrls.email.errors.required">Unesite Vas email</div>
            <div class="error" *ngIf="getCtrls.email.errors.email">Unesite ispravan email</div>
        </div>
        <br><br>
        <input type="password" name="password" id="password-login-input" class="pass" placeholder="Unesite Vašu lozinku" formControlName="password" [ngClass]="{ 'is-invalid': submitted && getCtrls.password.errors }" />
        <div *ngIf="submitted && getCtrls.password.errors" class="invalid-feedback">
            <div class="error" formControlName="errMsg" *ngIf="getCtrls.password.errors.required">Unesite Vasu lozinku</div>

        </div>
        <br><br>
        <!-- <input type="submit" name="commit" value="Prijavi me" class="button button-primary-invert" data-disable-with="Prijavi me">  -->
        <button [disabled]="loading" class="button button-primary-invert">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Prijavi me
        </button>
        <br><br>
        <input type="button" value="Back" class = "backButton" onclick="history.back()"/>
    </form>
</div>
<div class = 'link-to-registration'><p> Nemas profil? <a routerLink= '/sign-up'> Registruj se</a></p></div>
